%define sqname squashfs

Summary:	Utilities for the creation of compressed squashfs images
Name:		%{sqname}3-tools
Version:	3.3
Release:	9
License:	GPLv2+
Group:		File tools
Url:		http://squashfs.sourceforge.net/
Source0:	%{sqname}%{version}.tgz
Source1:	sqlzma.h
Source2:	sqmagic.h
Patch0:		sqlzma2u-3.3.patch
Patch1:		squashfs3.3-nolzma.patch
# from CVS, fix hang when dealing with sparse files
Patch2:		squashfs3.3-sparse.patch
BuildRequires:	liblzmadec-devel
BuildRequires:	pkgconfig(zlib)

%description
squashfs-tools are utilities for the creation of compressed squashfs images.

%files
%doc ACKNOWLEDGEMENTS CHANGES README
%{_bindir}/mksquashfs3
%{_bindir}/unsquashfs3

#----------------------------------------------------------------------------

%prep
%setup -q -n %{sqname}%{version}
%patch0 -p1 -b .lzma
%patch1 -p1 -b .nolzma
%patch2 -p0 -b .sparse
cp %{SOURCE1} %{SOURCE2} squashfs-tools

%build
%make \
	-C squashfs-tools \
	Sqlzma=. \
	LzmaAlone=%{_libdir} \
	LzmaC=%{_libdir} \
	RPM_OPT_FLAGS="%{optflags}"

%install
install -d %{buildroot}%{_bindir}
install -m 755 squashfs-tools/mksquashfs %{buildroot}%{_bindir}/mksquashfs3
install -m 755 squashfs-tools/unsquashfs %{buildroot}%{_bindir}/unsquashfs3


%changelog

* Tue May 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.3-9
- (18f05e2) Build with system optflags
- (18f05e2) Spec cleanup


